Package ghidra.app.plugin.processors.sleigh.symbol

# Class SymbolTable

java.lang.Object
ghidra.app.plugin.processors.sleigh.symbol.SymbolTable

public class SymbolTable extends Object
Full symbol table for sleigh

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SymbolTable()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Symbol`
  `findGlobalSymbol(String nm)`
  `Symbol`
  `findSymbol(int id)`
  `Symbol`
  `findSymbol(String nm)`
  `Symbol`
  `findSymbol(String nm, int skip)`
  `SymbolScope`
  `getCurrentScope()`
  `SymbolScope`
  `getGlobalScope()`
  `int`
  `getNumberOfUserDefinedOpNames()`
  `Symbol[]`
  `getSymbolList()`
  `String`
  `getUserDefinedOpName(int index)`
  `void`
  `restoreSymbolHeader(XmlPullParser parser)`
  `void`
  `restoreXml(XmlPullParser parser, SleighLanguage sleigh)`
  `void`
  `setCurrentScope(SymbolScope scope)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SymbolTable

    public SymbolTable()

- ## Method Details

  - ### getCurrentScope

    public SymbolScope getCurrentScope()

  - ### getGlobalScope

    public SymbolScope getGlobalScope()

  - ### setCurrentScope

    public void setCurrentScope(SymbolScope scope)

  - ### findSymbol

    public Symbol findSymbol(String nm)

  - ### findSymbol

    public Symbol findSymbol(String nm, int skip)

  - ### findGlobalSymbol

    public Symbol findGlobalSymbol(String nm)

  - ### getSymbolList

    public Symbol[] getSymbolList()

  - ### findSymbol

    public Symbol findSymbol(int id)

  - ### restoreXml

    public void restoreXml(XmlPullParser parser, SleighLanguage sleigh) throws UnknownInstructionException
    Throws:
      `UnknownInstructionException`

  - ### restoreSymbolHeader

    public void restoreSymbolHeader(XmlPullParser parser)

  - ### getNumberOfUserDefinedOpNames

    public int getNumberOfUserDefinedOpNames()

  - ### getUserDefinedOpName

    public String getUserDefinedOpName(int index)